## pandoc-include 1.4.0

=== debian/changelog ===
pandoc-include (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 21 Oct 2024 10:51:25 +0100

pandoc-include (1.3.2-2) unstable; urgency=medium

  * Source upload

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 08 Oct 2024 16:05:15 +0100

pandoc-include (1.3.2-1) unstable; urgency=medium

  * Initial release (Closes: #1080348)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 02 Aug 2024 21:24:27 +0900

## pandoc-include 1.4.1

=== test/Makefile ===
test.pdf: test.md ../pandoc_include/main.py
	pandoc $< --filter pandoc-include -o test.pdf
	# pandoc $< -t json | python3 run.py | pandoc -f json -o test.pdf
	#pandoc $< --filter pandoc-include -o test-out.pdf
	#pandoc test.md --filter pandoc-include -o test-out.md
	#pandoc entryTest/test.md --filter pandoc-include -o entryTest/test-out.md

entryTest.pdf: entryTest/test.md ../pandoc_include/main.py
	pandoc $< --filter pandoc-include -o entry-test.pdf

.PHONY: debug
debug:
	pandoc debug.md -t json | python3 run.py | pandoc -f json -o debug.pdf
	# pandoc debug.md --filter pandoc-include -o debug.pdf

.PHONY: clean
clean:
	rm -f test-out.md test-out.pdf test.pdf included/test.out debug.pdf

.PHONY: nixpkgs
nixpkgs:
	pandoc test.md -t json | ${NIXPKGS}/result/bin/pandoc-include | pandoc -f json -o test.pdf

=== debian/changelog ===
pandoc-include (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 07 Jan 2025 07:25:27 +0000

## pandoc-include 1.4.2

=== debian/changelog ===
pandoc-include (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 18 Feb 2025 12:07:53 +0000

=== debian/control ===
Source: pandoc-include
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-lxml,
               python3-natsort,
               python3-setuptools,
               python3-panflute,
               pandoc (>= 2.17),
Standards-Version: 4.7.0
Homepage: https://github.com/DCsunset/pandoc-include
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/pandoc-include
Vcs-Git: https://salsa.debian.org/python-team/packages/pandoc-include.git

Package: python3-pandoc-include
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, pandoc,
Description: Pandoc filter to allow file and header includes
 Pandoc filter to allow file and header includes. The filter script
 is based on Panflute.
 .
 It allows the user to include as raw blocs, indent contents, partial
 includes, code includes, include recursively and header includes.

## pandoc-include 1.4.3

=== requirements.txt ===
panflute
natsort
lxml

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
+BIN ?= pandoc-include
+
 test.pdf: test.md ../pandoc_include/main.py
-	pandoc $< --filter pandoc-include -o test.pdf
+	pandoc $< --filter $(BIN) -o test.pdf
 	# pandoc $< -t json | python3 run.py | pandoc -f json -o test.pdf
 	#pandoc $< --filter pandoc-include -o test-out.pdf
 	#pandoc test.md --filter pandoc-include -o test-out.md
@@ -10,8 +12,8 @@
 
 .PHONY: debug
 debug:
-	pandoc debug.md -t json | python3 run.py | pandoc -f json -o debug.pdf
-	# pandoc debug.md --filter pandoc-include -o debug.pdf
+	# pandoc debug.md -t json | python3 run.py | pandoc -f json -o debug.pdf
+	pandoc debug.md --filter pandoc-include -o debug.pdf
 
 .PHONY: clean
 clean:

=== debian/changelog ===
pandoc-include (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * Bump Standards-Version to 4.7.2 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 26 Sep 2025 10:23:33 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-panflute,
                pandoc (>= 2.17),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/DCsunset/pandoc-include
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pandoc-include

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pandoc-include
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends: @, texlive-latex-recommended, lmodern, texlive-fonts-recommended
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/v//" \
https://github.com/DCsunset/pandoc-include.git \
refs/tags/([v\d\.]+)
